{% extends "core/logged.html" %}

{% block aside %}
{% include 'core/aside_menu.html' %}
{% endblock aside %}

{% block content %}
	<div class="content-wrapper">

		<section class="content-header">
	      <h1>
	        Funcionários
	      </h1>
	      <ol class="breadcrumb">
	        <li><a href="{% url 'admin:index' %}"><i class="fa fa-home"></i>Home</a></li>
	        <li class="active"><a href="{% url 'admin:list_usuarios' %}">Funcionários</a></li>
	      </ol>
	    </section>
		
		<section class="content">
			<div class="box">
            <div class="box-header">
              <h3 class="box-title">Funcionários Cadastrados</h3>
              <div class="box-tools">
                <div class="input-group input-group-sm">
                	<a class="btn btn-primary text-uppercase" href="{% url 'admin:create_usuario' %}">Novo Funcionário</a>
                </div>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
              <table class="table table-hover">
                <tbody>
                	<tr>
	                 	<th>#</th>
	                  	<th>Nome</th>
	                  	<th>E-mail</th>
	                  	<th>Último Login</th>
	                  	<th>Criado Em</th>
	                  	<th>Ações</th>
	                </tr>
                {% for usuario in usuarios %}
	                <tr>
	                	<td>{{ usuario.pk }}</td>
	                  	<td>{% if usuario.username %}{{ usuario.username }}{%else%}--{%endif%}</td>
	                  	<td>{% if usuario.email %}{{ usuario.email }}{%else%}--{%endif%}</td>
	                  	<td>{% if usuario.last_login %}{{ usuario.last_login }}{%else%}--{%endif%}</td>
	                  	<td>{% if usuario.date_joined %}{{ usuario.date_joined }}{%else%}--{%endif%}</td>
	                  	<td>
	                  		{% if usuario == user %}
	                  			<a href="{% url 'admin:update_usuario' pk=usuario.id %}" class="btn btn-default btn-sm"><i class="fa fa-edit"></i></a>
	                  		{% else %}
	                  		<a href="{% url 'admin:delete_usuario' pk=usuario.id %}" class="btn btn-danger btn-sm" onclick="return confirm('Deseja realmente apagar esse Administrador?')"><i class="fa fa-trash"></i></a>
	                  		{% endif %}
	                  	</td>
	                </tr>
                {% endfor %}
              	</tbody>
              </table>
            </div>
            <!-- /.box-body -->
          </div>
		</section>
		
    </div>
{% endblock content %}